pydo.genai.create_evaluation_test_case()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.genai.create_evaluation_test_case(
body={
"agent_workspace_name": "example name",
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "example string",
...,
},
)Description
To create an evaluation test-case send a POST request to /v2/gen-ai/evaluation_test_cases.
Parameters
agent_workspace_namestring optionalExample:
example namedataset_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Dataset against which the test‑case is executed.
descriptionstring optionalExample:
example stringDescription of the test case.
metricsarray of strings optionalExample:
['example string']Full metric list to use for evaluation test case.
namestring optionalExample:
example nameName of the test case.
star_metricobject optionalShow child properties
metric_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000namestring optionalExample:
example namesuccess_thresholdnumber optionalExample:
123The success threshold for the star metric.
This is a value that the metric must reach to be considered successful.success_threshold_pctinteger optionalExample:
123The success threshold for the star metric.
This is a percentage value between 0 and 100.
workspace_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000The workspace uuid.
Request Sample
Response Example
More Information
See /v2/gen-ai/evaluation_test_cases in the API reference for additional detail on responses, headers, parameters, and more.